zenilib: SDL_WindowData Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | Protected Attributes | List of all members
SDL_WindowData Struct Reference

`#include <SDL_androidwindow.h>`

## Public Attributes

Colormap | colormap
EGL_DISPMANX_WINDOW_T | dispman_window
EGLContext | egl_context
EGLSurface | egl_surface
Window | fswindow
GC | gc
EGLint | gles_attributes [256]
EGLint | gles_config
EGLConfig | gles_configs [32]
EGLContext | gles_context
EGLSurface | gles_surface
HBITMAP | hbm
HDC | hdc
HWND | hwnd
XIC | ic
XConfigureEvent | last_xconfigure
HDC | mdc
WPARAM | mouse_button_flags
ANativeWindow * | native_window
PendingFocusEnum | pending_focus
Uint32 | pending_focus_time
XShmSegmentInfo | shminfo
SDL_bool | use_mitshm
SDL_bool | uses_gles
Visual * | visual
WNDPROC | wndproc
Atom | xdnd_req
Window | xdnd_source
XImage * | ximage
Window | xwindow

## Protected Attributes

SDL_bool | created
Cocoa_WindowListener * | listener
NSMutableArray * | nscontexts
NSWindow * | nswindow
UIWindow * | uiwindow
struct SDL_VideoData * | videodata
SDL_uikitopenglview * | view
SDL_uikitviewcontroller * | viewcontroller
SDL_Window * | window

## Detailed Description

Definition at line 33 of file SDL_androidwindow.h.

## Member Data Documentation

Colormap SDL_WindowData::colormap

Definition at line 50 of file SDL_x11window.h.

SDL_bool SDL_WindowData::created

protected

Definition at line 88 of file SDL_cocoawindow.h.

EGL_DISPMANX_WINDOW_T SDL_WindowData::dispman_window

Definition at line 47 of file SDL_rpivideo.h.

EGLContext SDL_WindowData::egl_context

Definition at line 36 of file SDL_androidwindow.h.

EGLSurface SDL_WindowData::egl_surface

Definition at line 35 of file SDL_androidwindow.h.

Window SDL_WindowData::fswindow

Definition at line 48 of file SDL_x11window.h.

GC SDL_WindowData::gc

Definition at line 57 of file SDL_x11window.h.

EGLint SDL_WindowData::gles_attributes[256]

Definition at line 53 of file SDL_pandora.h.

EGLint SDL_WindowData::gles_config

Definition at line 51 of file SDL_pandora.h.

EGLConfig SDL_WindowData::gles_configs[32]

Definition at line 50 of file SDL_pandora.h.

EGLContext SDL_WindowData::gles_context

Definition at line 52 of file SDL_pandora.h.

EGLSurface SDL_WindowData::gles_surface

Definition at line 54 of file SDL_pandora.h.

HBITMAP SDL_WindowData::hbm

Definition at line 32 of file SDL_windowswindow.h.

HDC SDL_WindowData::hdc

Definition at line 30 of file SDL_windowswindow.h.

HWND SDL_WindowData::hwnd

Definition at line 29 of file SDL_windowswindow.h.

XIC SDL_WindowData::ic

Definition at line 58 of file SDL_x11window.h.

XConfigureEvent SDL_WindowData::last_xconfigure

Definition at line 62 of file SDL_x11window.h.

Cocoa_WindowListener* SDL_WindowData::listener

protected

Definition at line 89 of file SDL_cocoawindow.h.

HDC SDL_WindowData::mdc

Definition at line 31 of file SDL_windowswindow.h.

WPARAM SDL_WindowData::mouse_button_flags

Definition at line 35 of file SDL_windowswindow.h.

ANativeWindow* SDL_WindowData::native_window

Definition at line 37 of file SDL_androidwindow.h.

NSMutableArray* SDL_WindowData::nscontexts

protected

Definition at line 87 of file SDL_cocoawindow.h.

NSWindow* SDL_WindowData::nswindow

protected

Definition at line 86 of file SDL_cocoawindow.h.

PendingFocusEnum SDL_WindowData::pending_focus

Definition at line 60 of file SDL_x11window.h.

Uint32 SDL_WindowData::pending_focus_time

Definition at line 61 of file SDL_x11window.h.

XShmSegmentInfo SDL_WindowData::shminfo

Definition at line 54 of file SDL_x11window.h.

UIWindow* SDL_WindowData::uiwindow

protected

Definition at line 44 of file SDL_uikitwindow.h.

SDL_bool SDL_WindowData::use_mitshm

Definition at line 53 of file SDL_x11window.h.

SDL_bool SDL_WindowData::uses_gles

Definition at line 48 of file SDL_pandora.h.

Referenced by PSP_GL_CreateContext().

struct SDL_VideoData * SDL_WindowData::videodata

protected

Definition at line 90 of file SDL_cocoawindow.h.

SDL_uikitopenglview* SDL_WindowData::view

protected

Definition at line 45 of file SDL_uikitwindow.h.

SDL_uikitviewcontroller* SDL_WindowData::viewcontroller

protected

Definition at line 46 of file SDL_uikitwindow.h.

Visual* SDL_WindowData::visual

Definition at line 49 of file SDL_x11window.h.

SDL_Window * SDL_WindowData::window

protected

Definition at line 85 of file SDL_cocoawindow.h.

WNDPROC SDL_WindowData::wndproc

Definition at line 33 of file SDL_windowswindow.h.

Atom SDL_WindowData::xdnd_req

Definition at line 64 of file SDL_x11window.h.

Window SDL_WindowData::xdnd_source

Definition at line 65 of file SDL_x11window.h.

XImage* SDL_WindowData::ximage

Definition at line 56 of file SDL_x11window.h.

Window SDL_WindowData::xwindow

Definition at line 47 of file SDL_x11window.h.

The documentation for this struct was generated from the following files:

- zenilib/jni/external/sdl/src/video/android/SDL_androidwindow.h
- zenilib/jni/external/sdl/src/video/cocoa/SDL_cocoawindow.h
- zenilib/jni/external/sdl/src/video/pandora/SDL_pandora.h
- zenilib/jni/external/sdl/src/video/psp/SDL_pspvideo.h
- zenilib/jni/external/sdl/src/video/raspberry/SDL_rpivideo.h
- zenilib/jni/external/sdl/src/video/uikit/SDL_uikitwindow.h
- zenilib/jni/external/sdl/src/video/windows/SDL_windowswindow.h
- zenilib/jni/external/sdl/src/video/x11/SDL_x11window.h